Qwt User's Guide 6.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtCompassWindArrow Class Reference

An indicator for the wind direction. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtCompassWindArrow:
[legend]

## Public Types
enum | Style { Style1, Style2 }
| Style of the arrow. More...

## Public Member Functions
| QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
Public Member Functions inherited from QwtDialNeedle
| QwtDialNeedle ()
| Constructor.
virtual | ~QwtDialNeedle ()
| Destructor.
virtual void | setPalette (const QPalette &)
const QPalette & | palette () const
virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const

## Protected Member Functions
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const
Protected Member Functions inherited from QwtDialNeedle
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
| Draw the knob.

## Detailed Description

An indicator for the wind direction.

QwtCompassWindArrow shows the direction where the wind comes from.

- QPalette::Light
  Used for Style1, or the light half of Style2
- QPalette::Dark
  Used for the dark half of Style2

See Also
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtCompassWindArrow::Style

Style of the arrow.

Enumerator
Style1 | A needle pointing to the center.
Style2 | A needle pointing to the center.

## Constructor & Destructor Documentation

QwtCompassWindArrow::QwtCompassWindArrow | ( | Style | style,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::gray`
| ) |  |

Constructor

Parameters

  style | Arrow style
  light | Light color
  dark | Dark color

## Member Function Documentation

void QwtCompassWindArrow::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const
| protected virtual

Draw the needle

Parameters

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.